(provide 'bbdb-autoloads)

;;;### (autoloads (bbdb-help bbdb-info bbdb-copy-records-as-kill
;;;;;;  bbdb-grab-url bbdb-browse-url bbdb-dial bbdb-add-mail-alias
;;;;;;  bbdb-mail-aliases bbdb-complete-mail bbdb-completing-read-mails
;;;;;;  bbdb-completion-predicate bbdb-mail bbdb-dwim-mail bbdb-sort-notes
;;;;;;  bbdb-sort-phones bbdb-sort-addresses bbdb-merge-records bbdb-omit-record
;;;;;;  bbdb-display-records-with-layout bbdb-display-records-completely
;;;;;;  bbdb-toggle-records-layout bbdb-display-all-records bbdb-delete-records
;;;;;;  bbdb-delete-field-or-record bbdb-transpose-fields bbdb-record-edit-notes
;;;;;;  bbdb-edit-field bbdb-insert-field bbdb-create bbdb-creation-no-change
;;;;;;  bbdb-creation-newer bbdb-creation-older bbdb-timestamp-newer
;;;;;;  bbdb-timestamp-older bbdb-search-changed bbdb-search-notes
;;;;;;  bbdb-search-phone bbdb-search-mail bbdb-search-organization
;;;;;;  bbdb-search-name bbdb bbdb-search-invert bbdb-append-display
;;;;;;  bbdb-append-display-p bbdb-do-records bbdb-do-all-records)
;;;;;;  "bbdb-com" "bbdb-com.el" (19544 8953))
;;; Generated autoloads from bbdb-com.el

(autoload 'bbdb-do-all-records "bbdb-com" "\
Command prefix for operating on all records currently displayed.
This only works for certain commands.

\(fn)" t nil)

(autoload 'bbdb-do-records "bbdb-com" "\
Return list of records to operate on.
Normally this list includes only the current record.
It includes all currently displayed records if the command prefix \\<bbdb-mode-map>\\[bbdb-do-all-records] is used.
If FULL is non-nil, the list of records includes display information.

\(fn &optional FULL)" nil nil)

(autoload 'bbdb-append-display-p "bbdb-com" "\
Not documented

\(fn)" nil nil)

(autoload 'bbdb-append-display "bbdb-com" "\
Typing \\<bbdb-mode-map>\\[bbdb-append-display] in the *BBDB* buffer makes the next search/display command to append
new records to those in the *BBDB* buffer.

With prefix arg (C-u) toggle between always append and no append.
With prefix arg that is a positive number append will be enabled for that
many times.
With any other argument append will be enabled once.

\(fn &optional ARG)" t nil)

(autoload 'bbdb-search-invert "bbdb-com" "\
Typing \\<bbdb-mode-map>\\[bbdb-search-invert] inverts the meaning of the next search command.
Sets `bbdb-search-invert' to t.
Call this command again, if you want to do repeated inverted searches.

\(fn)" t nil)

(autoload 'bbdb "bbdb-com" "\
Display all records in the BBDB matching REGEXP
in either the name(s), organization, mail address, or notes.

\(fn REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-name "bbdb-com" "\
Display all records in the BBDB matching REGEXP in the name
\(or ``alternate'' names).

\(fn REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-organization "bbdb-com" "\
Display all records in the BBDB matching REGEXP in the organization field.

\(fn REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-mail "bbdb-com" "\
Display all records in the BBDB matching REGEXP in the mail address.

\(fn REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-phone "bbdb-com" "\
Display all records in the BBDB matching REGEXP in the phones field.

\(fn REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-notes "bbdb-com" "\
Display all records in the BBDB matching REGEXP in the notes FIELD.

\(fn FIELD REGEXP &optional LAYOUT)" t nil)

(autoload 'bbdb-search-changed "bbdb-com" "\
Display all records in the bbdb database which have changed since
the database was last saved.

\(fn &optional LAYOUT)" t nil)

(autoload 'bbdb-timestamp-older "bbdb-com" "\
Display records with timestamp older than DATE.
DATE must be in yyyy-mm-dd format.

\(fn DATE &optional LAYOUT)" t nil)

(autoload 'bbdb-timestamp-newer "bbdb-com" "\
Display records with timestamp newer than DATE.
DATE must be in yyyy-mm-dd format.

\(fn DATE &optional LAYOUT)" t nil)

(autoload 'bbdb-creation-older "bbdb-com" "\
Display records with creation-date older than DATE.
DATE must be in yyyy-mm-dd format.

\(fn DATE &optional LAYOUT)" t nil)

(autoload 'bbdb-creation-newer "bbdb-com" "\
Display records with creation-date newer than DATE.
DATE must be in yyyy-mm-dd format.

\(fn DATE &optional LAYOUT)" t nil)

(autoload 'bbdb-creation-no-change "bbdb-com" "\
Display records that have the same timestamp and creation-date.

\(fn &optional LAYOUT)" t nil)

(autoload 'bbdb-create "bbdb-com" "\
Add a new RECORD to the bbdb database ; prompts for all relevant info
using the echo area, inserts the new record in BBDB, sorted alphabetically,
and offers to save the BBDB file.  DO NOT call this from a program.  Call
`bbdb-create-internal' instead.

\(fn RECORD)" t nil)

(autoload 'bbdb-insert-field "bbdb-com" "\
Add a new field to the current record; the field type and contents
are prompted for if not supplied.

If you are inserting a new phone-number field, you can control whether
it is a north american or european phone number by providing a prefix
argument.  A prefix arg of ^U means it's to be a euronumber, and any
other prefix arg means it's to be a a structured north american number.
Otherwise, which style is used is controlled by the variable
`bbdb-phone-style'.

If you are inserting a new mail address, you can have BBDB append a
default domain to any mail address that does not contain one.  Set
`bbdb-default-domain' to a string such as \"mycompany.com\" (or,
depending on your environment, (getenv \"DOMAINNAME\")), and
\"@mycompany.com\" will be appended to an address that is entered as
just a username.  A prefix arg C-u (or a `bbdb-default-domain'
value of \"\", the default) means do not alter the address.

\(fn RECORD FIELD CONTENTS)" t nil)

(autoload 'bbdb-edit-field "bbdb-com" "\
Edit the contents of the BBDB field on the current line.
\(This is only meaningful in the \"*BBDB*\" buffer.)
If point is in the middle of a multi-line field (e.g., address),
then the entire field is edited, not just the current line.

\(fn RECORD FIELD)" t nil)

(autoload 'bbdb-record-edit-notes "bbdb-com" "\
Not documented

\(fn RECORD &optional NOTE REDISPLAY)" nil nil)

(autoload 'bbdb-transpose-fields "bbdb-com" "\
This is like the `transpose-lines' command, but it is for BBDB fields.
If point is on a field of a BBDB record, that field and the previous
field will be transposed.

With argument ARG, takes previous line and moves it past ARG fields.
With argument 0, interchanges field point is in with field mark is in.

Both fields must be in the same record, and must be of the same basic type
\(that is, you can use this command to change the order in which phone-number
fields are listed, but you cannot use it to make an address appear before a
phone number; the order of field types is fixed.)

\(fn &optional ARG)" t nil)

(autoload 'bbdb-delete-field-or-record "bbdb-com" "\
Delete the line which point is on; actually, delete the field which
that line represents from the database.  If point is on the first line
of a database record (the name/organization line) then the entire record will be
deleted.

\(fn &optional RECORDS NOPROMPT)" t nil)

(autoload 'bbdb-delete-records "bbdb-com" "\
Delete the BBDB record which point is on.
Pressing \\<bbdb-mode-map>\\[bbdb-do-all-records] will delete all records listed in the BBDB buffer.

\(fn &optional RECORDS NOPROMPT)" t nil)

(autoload 'bbdb-display-all-records "bbdb-com" "\
Show all records.

\(fn &optional LAYOUT)" t nil)

(autoload 'bbdb-toggle-records-layout "bbdb-com" "\
Toggle layout of the current record.
With numeric argument 0, the current record is displayed elided.
With any other argument the current record is idsplayed expanded.
\\<bbdb-mode-map>
If \"\\[bbdb-do-all-records]\\[bbdb-toggle-records-layout]\" is used instead of \"\\[bbdb-toggle-records-layout]\", then the state of all records will
be changed instead of just the one at point.  In this case, an argument
of 0 means that all records are displayed elided; any other
numeric argument means that all records are displayed expanded;
no numeric argument means that the layout of all records becomes
the opposite state of the record under point.

\(fn &optional RECORDS ARG)" t nil)

(autoload 'bbdb-display-records-completely "bbdb-com" "\
Show all the fields of the currently displayed records.
The layout `full-multi-line' is used for this.

\(fn RECORDS)" t nil)

(autoload 'bbdb-display-records-with-layout "bbdb-com" "\
Show all the fields of RECORDS using LAYOUT.

\(fn RECORDS LAYOUT)" t nil)

(autoload 'bbdb-omit-record "bbdb-com" "\
Remove the current record from the display without deleting it from the
database.  With a prefix argument, omit the next N records.  If negative,
omit backwards.

\(fn N)" t nil)

(autoload 'bbdb-merge-records "bbdb-com" "\
Merge the current record into some other record; that is, delete the
record under point after copying all of the data within it into some other
record.  This is useful if you realize that somehow a redundant record has
gotten into the database, and you want to merge it with another.

If both records have names and/or organizations, you are asked which to use.
Phone numbers, addresses, and mail addresses are simply concatenated.
The first record is the record under the point; the second is prompted for.

\(fn OLD-RECORD NEW-RECORD)" t nil)

(autoload 'bbdb-sort-addresses "bbdb-com" "\
Sort the addresses in RECORDS according to the label.
Can be used in `bbdb-change-hook'.

\(fn &optional RECORDS)" t nil)

(autoload 'bbdb-sort-phones "bbdb-com" "\
Sort the phones in RECORDS according to the label.
Can be used in `bbdb-change-hook'.

\(fn &optional RECORDS)" t nil)

(autoload 'bbdb-sort-notes "bbdb-com" "\
Sort the notes in RECORDS according to `bbdb-notes-sort-order'.
Can be used in `bbdb-change-hook'.

\(fn &optional RECORDS)" t nil)

(autoload 'bbdb-dwim-mail "bbdb-com" "\
Return a string to use as the mail address of RECORD.
The mail address is formatted like \"Firstname Lastname <address>\"
unless both the first name and last name are constituents of the address,
as in John.Doe@SomeHost, or the address is already in the form
\"Name <foo>\" or \"foo (Name)\", in which case the address is used as-is.
If `bbdb-mail-allow-redundancy' is non-nil, the name is always included.
`bbdb-mail-allow-redundancy' is 'mail-only the name is never included!
MAIL should be one of the mail addresses of RECORD or nil in which case
the first mail address of RECORD is used.

\(fn RECORD &optional MAIL)" nil nil)

(autoload 'bbdb-mail "bbdb-com" "\
Compose a mail message to RECORDS.
The first address is used if there are more than one.

\(fn RECORDS &optional SUBJECT)" t nil)

(autoload 'bbdb-completion-predicate "bbdb-com" "\
For use as the third argument to `completing-read'.
Obey `bbdb-completion-list'.

\(fn SYMBOL)" nil nil)

(autoload 'bbdb-completing-read-mails "bbdb-com" "\
Like `read-string', but allows `bbdb-complete-mail' style completion.

\(fn PROMPT &optional DEFAULT)" nil nil)

(autoload 'bbdb-complete-mail "bbdb-com" "\
In a mail buffer, complete the user name or mail before point.
Completion happens up to the preceeding newline, colon, or comma,
or the value of START-POS).

Completion behaviour can be controlled with `bbdb-completion-list'.
If what has been typed is unique, insert an entry of the form
\"User Name <mail>\" (although see `bbdb-mail-allow-redundancy').
If it is a valid completion but not unique, a list of completions is displayed.
If the completion is done and `bbdb-complete-mail-allow-cycling' is
t then cycle through the mails for the matching record.
When called with a prefix arg then display a list of all mails
available for cycling.

Set variable `bbdb-complete-mail' non-nil for enabling this feature
as part of the MUA insinuation.

\(fn &optional START-POS)" t nil)

(autoload 'bbdb-mail-aliases "bbdb-com" "\
Define mail aliases for the records in the database.
Define a mail alias for every record that has a `mail-alias' field
which is the contents of that field.
If there are multiple comma-separated words in the `mail-alias' field,
then all of those words will be defined as aliases for that person.

If multiple records in the database have the same mail alias,
then that alias expands to a comma-separated list of the mail addresses
of all of these people.
Add this command to `mail-setup-hook'.

Mail aliases are (re)built only if `bbdb-mail-aliases-need-rebuilt' is non-nil
because the database was newly loaded or it has been edited. You can enforce
rebuilding the aliases by setting FORCE-REBUILT to t.

\(fn &optional FORCE-REBUILT NOISY)" t nil)

(autoload 'bbdb-add-mail-alias "bbdb-com" "\
Add ALIAS to RECORD.
If pefix DELETE is non-nil, remove ALIAS from RECORD.

\(fn &optional RECORD ALIAS DELETE)" t nil)

(autoload 'bbdb-dial "bbdb-com" "\
Dial the number at point.
If the point is at the beginning of a record, dial the first
phone number.  Does not dial the extension.  Does not apply the
transformations from bbdb-dial-local-prefix-alist if a prefix arg
is given.

\(fn PHONE FORCE-AREA-CODE)" t nil)

(autoload 'bbdb-browse-url "bbdb-com" "\
Brwose URLs stored in the `url' field of RECORDS.
Interactively RECORDS defaults to current record.
With prefix \\[bbdb-do-all-records] take all records currently visible.

\(fn RECORDS &optional WHICH)" t nil)

(autoload 'bbdb-grab-url "bbdb-com" "\
Grab URL and store it in RECORD.

\(fn RECORD URL)" t nil)

(autoload 'bbdb-copy-records-as-kill "bbdb-com" "\
Copy displayed RECORDS to kill ring.
Interactively RECORDS defaults to current record.
With prefix \\[bbdb-do-all-records] take all records currently visible.

\(fn RECORDS)" t nil)

(autoload 'bbdb-info "bbdb-com" "\
Not documented

\(fn)" t nil)

(autoload 'bbdb-help "bbdb-com" "\
Not documented

\(fn)" t nil)

;;;***

;;;### (autoloads (bbdb-create-ftp-site bbdb-ftp) "bbdb-ftp" "bbdb-ftp.el"
;;;;;;  (19543 37558))
;;; Generated autoloads from bbdb-ftp.el

(autoload 'bbdb-ftp "bbdb-ftp" "\
Use ange-ftp to open an ftp-connection to a BBDB record's name.
If this command is executed from the *BBDB* buffer, ftp the site of
the record at point; otherwise, it prompts for an ftp-site.

\(fn RECORD &optional WHICH)" t nil)

(autoload 'bbdb-create-ftp-site "bbdb-ftp" "\
Add a new ftp-site record to the bbdb database.
Prompts for all relevant info using the echo area,
inserts the new record in the db, sorted alphabetically.

\(fn RECORD)" t nil)

;;;***

;;;### (autoloads (bbdb-insinuate-gnus bbdb/gnus-summary-show-all-recipients
;;;;;;  bbdb/gnus-score bbdb/gnus-snarf-signature bbdb/gnus-annotate-sender
;;;;;;  bbdb/gnus-show-recipients bbdb/gnus-show-sender bbdb/gnus-show-records
;;;;;;  bbdb/gnus-update-records) "bbdb-gnus" "bbdb-gnus.el" (19550
;;;;;;  7149))
;;; Generated autoloads from bbdb-gnus.el

(autoload 'bbdb/gnus-update-records "bbdb-gnus" "\
Gnus wrapper for `bbdb-update-records'.
Return the records corresponding to the current Gnus message,
creating or modifying them as necessary.
UPDATE-P may take the same values as in `bbdb-update-records'.
If UPDATE-P is nil, use the value of `bbdb/gnus-update-records-p'.

\(fn &optional UPDATE-P)" nil nil)

(autoload 'bbdb/gnus-show-records "bbdb-gnus" "\
Display the BBDB record(s) for the addresses in this message.
Prefix arg UPDATE-P toggles insertion of new record.
See `bbdb/gnus-pop-up-bbdb-buffer' for a non-interactive function
to be used in `gnus-article-prepare-hook'.

\(fn &optional HEADER-CLASS ALL UPDATE-P)" t nil)

(autoload 'bbdb/gnus-show-sender "bbdb-gnus" "\
Display the BBDB record(s) for the sender of this message.

\(fn &optional ALL UPDATE-P)" t nil)

(autoload 'bbdb/gnus-show-recipients "bbdb-gnus" "\
Display the BBDB record(s) for the recipients of this message.

\(fn &optional ALL UPDATE-P)" t nil)

(autoload 'bbdb/gnus-annotate-sender "bbdb-gnus" "\
Add a line to the end of the Notes field of the BBDB record
corresponding to the sender of this message.  If REPLACE is non-nil,
replace the existing notes entry (if any).

\(fn STRING &optional REPLACE)" t nil)

(autoload 'bbdb/gnus-snarf-signature "bbdb-gnus" "\
Snarf signature from the corresponding *Article* buffer.

\(fn)" t nil)

(autoload 'bbdb/gnus-score "bbdb-gnus" "\
This returns a score alist for Gnus.  A score pair will be made for
every member of the mail field in records which also have a gnus-score
field.  This allows the BBDB to serve as a supplemental global score
file, with the advantage that it can keep up with multiple and changing
addresses better than the traditionally static global scorefile.

\(fn GROUP)" nil nil)

(autoload 'bbdb/gnus-summary-show-all-recipients "bbdb-gnus" "\
Display BBDB records for all recipients of the message.

\(fn NOT-ELIDED)" t nil)

(autoload 'bbdb-insinuate-gnus "bbdb-gnus" "\
Call this function to hook BBDB into Gnus.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-merge-file bbdb-merge-record) "bbdb-merge"
;;;;;;  "bbdb-merge.el" (19536 9834))
;;; Generated autoloads from bbdb-merge.el

(autoload 'bbdb-merge-record "bbdb-merge" "\
Generic merge function.

Merges NEW-RECORD into bbdb, using DATE to check who's more
up-to-date and OVERRIDE to decide who gets precedence if two dates
match. DATE can be extracted from a notes if it's an alist with an
element marked timestamp. Set OVERRIDE to 'new to allow the new record
to stomp on existing data, 'old to preserve existing data or nil to
merge both together. If it cannot find a record to merge with, it will
create a new record. If MERGE-RECORD is set, it's a record discovered
by other means that should be merged with.

Returns the Grand Unified Record.

\(fn NEW-RECORD &optional MERGE-RECORD OVERRIDE)" nil nil)

(autoload 'bbdb-merge-file "bbdb-merge" "\
Merge a bbdb file into the in-core bbdb.

\(fn &optional BBDB-NEW OVERRIDE MATCH-FUN)" t nil)

;;;***

;;;### (autoloads (bbdb-insinuate-mh bbdb/mh-annotate-sender bbdb/mh-show-sender
;;;;;;  bbdb/mh-update-record) "bbdb-mhe" "bbdb-mhe.el" (19530 18377))
;;; Generated autoloads from bbdb-mhe.el

(autoload 'bbdb/mh-update-record "bbdb-mhe" "\
Returns the record corresponding to the current MH message, creating or
modifying it as necessary.  A record will be created if
OFFER-TO-CREATE is non-nil.

\(fn &optional OFFER-TO-CREATE)" nil nil)

(autoload 'bbdb/mh-show-sender "bbdb-mhe" "\
Display the contents of the BBDB for the sender of this message.

\(fn)" t nil)

(autoload 'bbdb/mh-annotate-sender "bbdb-mhe" "\
Add a line to the end of the Notes field of the BBDB record
corresponding to the sender of this message.  If REPLACE is non-nil,
replace the existing notes field (if any).

\(fn STRING &optional REPLACE)" t nil)

(autoload 'bbdb-insinuate-mh "bbdb-mhe" "\
Call this function to hook BBDB into MH-E.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-migrate) "bbdb-migrate" "bbdb-migrate.el"
;;;;;;  (19546 7018))
;;; Generated autoloads from bbdb-migrate.el

(autoload 'bbdb-migrate "bbdb-migrate" "\
Migrate the BBDB from the version on disk to the current version
\(in `bbdb-file-format').

\(fn RECORDS OLD-FORMAT)" nil nil)

;;;***

;;;### (autoloads (bbdb-canonicalize-mail-1 bbdb-auto-notes bbdb-select-message
;;;;;;  bbdb-ignore-message bbdb-accept-message bbdb-display-all-recipients
;;;;;;  bbdb-message-header bbdb-force-record-create bbdb-update-records)
;;;;;;  "bbdb-mua" "bbdb-mua.el" (19550 6180))
;;; Generated autoloads from bbdb-mua.el

(autoload 'bbdb-update-records "bbdb-mua" "\
Return the list of BBDB records matching ADDRESS-LIST.
ADDRESS-LIST is a list of mail addresses.  (It can be extracted from
a mail message using `bbdb-get-address-components'.)
UPDATE-P may take the following values (arranged her in order of
increasingly agressive behavior of `bbdb-update-records'.)
 nil      Do nothing (return nil).
 search   Search for existing records matching ADDRESS.
 query    Search for existing records matching ADDRESS;
          query for creation of a new record if the record does not exist.
 t        Search for existing records matching ADDRESS;
          create a new record if it does not yet exist.
Usually this function is called by the MUA-specific wrappers
`bbdb/MUA-update-records'.

\(fn ADDRESS-LIST &optional UPDATE-P)" nil nil)

(autoload 'bbdb-force-record-create "bbdb-mua" "\
Force automatic creation of a BBDB records for the current message.
You might add this to the reply hook of your MUA in order to automatically
get records added for those people you reply to.

\(fn)" t nil)

(autoload 'bbdb-message-header "bbdb-mua" "\
For the current message return the value of HEADER.
Return nil if HEADER does not exist.
This works whether you are in Gnus, Rmail, or VM.

\(fn HEADER)" nil nil)

(autoload 'bbdb-display-all-recipients "bbdb-mua" "\
Display BBDB records for all addresses of the message in this buffer.
If the records do not exist, they are generated.

\(fn)" t nil)

(autoload 'bbdb-accept-message "bbdb-mua" "\
For use in `bbdb/MUA-update-records-p'.
Return the value of `bbdb-update-records-p' for messages matching
`bbdb-accept-message-alist'.  If INVERT is non-nil, accept messages
not matching `bbdb-ignore-message-alist'.

\(fn &optional INVERT)" nil nil)

(autoload 'bbdb-ignore-message "bbdb-mua" "\
For use as `bbdb/MUA-update-records-p'.
Return the value of `bbdb-update-records-p' for messages not matching
`bbdb-ignore-message-alist'.  If INVERT is non-nil, accept messages
matching `bbdb-accept-message-alist'.

\(fn &optional INVERT)" nil nil)

(autoload 'bbdb-select-message "bbdb-mua" "\
For use as `bbdb/MUA-update-records-p'.
Return the value of `bbdb-update-records-p' for messages both matching
`bbdb-accept-message-alist' and not matching `bbdb-ignore-message-alist'.

\(fn)" nil nil)

(autoload 'bbdb-auto-notes "bbdb-mua" "\
For use as a `bbdb-notice-hook'.
Automatically add some text to the notes field of RECORD based on the headers
of the current message.  See the variables `bbdb-auto-notes-alist',
`bbdb-auto-notes-ignore' and `bbdb-auto-notes-ignore-all'.

\(fn RECORD)" nil nil)

(autoload 'bbdb-canonicalize-mail-1 "bbdb-mua" "\
Not documented

\(fn ADDRESS)" nil nil)

;;;***

;;;### (autoloads (bbdb-print) "bbdb-print" "bbdb-print.el" (19544
;;;;;;  9089))
;;; Generated autoloads from bbdb-print.el

(autoload 'bbdb-print "bbdb-print" "\
Make a TeX FILE for printing RECORDS.
With prefix BRIEF non-nil, make a brief (one-line-per-record) printout.
There are various variables for customizing the content and format
of the printout, notably the variables `bbdb-print-alist' and
`bbdb-print-require'.

\(fn RECORDS FILE BRIEF)" t nil)

;;;***

;;;### (autoloads (bbdb-insinuate-reportmail) "bbdb-reportmail" "bbdb-reportmail.el"
;;;;;;  (19536 9934))
;;; Generated autoloads from bbdb-reportmail.el

(autoload 'bbdb-insinuate-reportmail "bbdb-reportmail" "\
Call this function to hook BBDB into reportmail.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-insinuate-rmail bbdb/rmail-annotate-sender
;;;;;;  bbdb/rmail-update-records) "bbdb-rmail" "bbdb-rmail.el" (19550
;;;;;;  7098))
;;; Generated autoloads from bbdb-rmail.el

(autoload 'bbdb/rmail-update-records "bbdb-rmail" "\
Rmail wrapper for `bbdb-update-records'.
Return the records corresponding to the current Rmail message,
creating or modifying them as necessary.
UPDATE-P may take the same values as in `bbdb-update-records'.
If UPDATE-P is nil, use the value of `bbdb/rmail-update-records-p'.

\(fn &optional UPDATE-P)" nil nil)

(autoload 'bbdb/rmail-annotate-sender "bbdb-rmail" "\
Add a line to the end of the Notes field of the BBDB record
corresponding to the sender of this message.  If REPLACE is non-nil,
replace the existing notes entry (if any).

\(fn STRING &optional REPLACE)" t nil)

(autoload 'bbdb-insinuate-rmail "bbdb-rmail" "\
Call this function to hook BBDB into RMAIL.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-insinuate-sc bbdb/sc-default) "bbdb-sc" "bbdb-sc.el"
;;;;;;  (19536 9951))
;;; Generated autoloads from bbdb-sc.el

(autoload 'bbdb/sc-default "bbdb-sc" "\
If the current \"from\" field in `sc-mail-info' alist
contains only an mail address, lookup mail address in
BBDB, and prepend a new \"from\" field to `sc-mail-info'.

\(fn)" nil nil)

(autoload 'bbdb-insinuate-sc "bbdb-sc" "\
Call this function to hook BBDB into Supercite.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-snarf-region bbdb-snarf) "bbdb-snarf" "bbdb-snarf.el"
;;;;;;  (19536 9957))
;;; Generated autoloads from bbdb-snarf.el

(autoload 'bbdb-snarf "bbdb-snarf" "\
snarf up a bbdb record WHERE the point is.
We assume things are line-broken and paragraph-bounded.
The name comes first and other fields (address,
phone, mail, web pages) are recognized by context.

Required context:
    addresses end with \"City, State ZIP\" or \"City, State\"
    phones match bbdb-snarf-phone-regexp
        (currently US-style phones)
    mail addresses have @'s in them
    web sites are recognized by http:// or www.

Address and phone context are currently US-specific;
patches to internationalize these assumptions are welcome.

\\[bbdb-snarf] is similar to \\[bbdb-whois-sentinel], but less specialized.

\(fn WHERE)" t nil)

(autoload 'bbdb-snarf-region "bbdb-snarf" "\
snarf up a bbdb record in the current region.  See `bbdb-snarf' for
more details.

\(fn BEGIN END)" t nil)

;;;***

;;;### (autoloads (bbdb/srv-auto-create-mail-news-dispatcher bbdb/srv-handle-headers-with-delay)
;;;;;;  "bbdb-srv" "bbdb-srv.el" (19536 10010))
;;; Generated autoloads from bbdb-srv.el

(autoload 'bbdb/srv-handle-headers-with-delay "bbdb-srv" "\
Just like bbdb/srv-handle-headers, but only updates every few seconds.
This is so that trying to display many records in succession will not queue them
up, but will end up only displaying a record when no displays have been
requested for a couple of seconds.

\(fn HEADERS)" nil nil)

(defalias 'bbdb-srv 'bbdb/srv-handle-headers-with-delay)

(autoload 'bbdb/srv-auto-create-mail-news-dispatcher "bbdb-srv" "\
For use as the value of bbdb/srv-auto-create-p-hook.
This will try to decide if this is a mail message or a news message, and then
run either bbdb/news-auto-create or bbdb/mail-auto-create as appropriate.
\(The heuristic is that news messages never have a Status or X-Mozilla-Status
header; and that mail messages never have Path headers.)

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-insinuate-vm bbdb/vm-virtual-folder bbdb/vm-auto-folder
;;;;;;  bbdb/vm-virtual-real-folders bbdb/vm-virtual-folder-field
;;;;;;  bbdb/vm-auto-folder-field bbdb/vm-auto-folder-headers bbdb/vm-annotate-sender
;;;;;;  bbdb/vm-show-recipients bbdb/vm-show-sender bbdb/vm-show-records
;;;;;;  bbdb/vm-update-records) "bbdb-vm" "bbdb-vm.el" (19550 7006))
;;; Generated autoloads from bbdb-vm.el

(autoload 'bbdb/vm-update-records "bbdb-vm" "\
VM wrapper for `bbdb-update-records'.
Return the records corresponding to the current VM message,
creating or modifying them as necessary.
UPDATE-P may take the same values as in `bbdb-update-records'.
If UPDATE-P is nil, use the value of `bbdb/vm-update-records-p'.

\(fn &optional UPDATE-P)" nil nil)

(autoload 'bbdb/vm-show-records "bbdb-vm" "\
Display the BBDB record(s) for the addresses in this message.
Prefix arg UPDATE-P toggles insertion of new record.
See `bbdb/vm-pop-up-bbdb-buffer' for a non-interactive function
to be used in `vm-select-message-hook'.

\(fn &optional HEADER-CLASS ALL UPDATE-P)" t nil)

(autoload 'bbdb/vm-show-sender "bbdb-vm" "\
Display the BBDB record(s) for the sender of this message.

\(fn &optional ALL UPDATE-P)" t nil)

(autoload 'bbdb/vm-show-recipients "bbdb-vm" "\
Display the BBDB record(s) for the recipients of this message.

\(fn &optional ALL UPDATE-P)" t nil)

(autoload 'bbdb/vm-annotate-sender "bbdb-vm" "\
Add a line to the end of the Notes field of the BBDB record
corresponding to the sender of this message.  If REPLACE is non-nil,
replace the existing notes entry (if any).

\(fn STRING &optional REPLACE)" t nil)

(defvar bbdb/vm-auto-folder-headers '("From:" "To:" "CC:") "\
The headers used by `bbdb/vm-auto-folder'.
The order in this list is the order how matching will be performed.")

(custom-autoload 'bbdb/vm-auto-folder-headers "bbdb-vm" t)

(defvar bbdb/vm-auto-folder-field 'vm-folder "\
The field which `bbdb/vm-auto-folder' searches for.")

(custom-autoload 'bbdb/vm-auto-folder-field "bbdb-vm" t)

(defvar bbdb/vm-virtual-folder-field 'vm-virtual "\
The field which `bbdb/vm-virtual-folder' searches for.")

(custom-autoload 'bbdb/vm-virtual-folder-field "bbdb-vm" t)

(defvar bbdb/vm-virtual-real-folders nil "\
Real folders used for defining virtual folders.
If nil use `vm-primary-inbox'.")

(custom-autoload 'bbdb/vm-virtual-real-folders "bbdb-vm" t)

(autoload 'bbdb/vm-auto-folder "bbdb-vm" "\
Add entries to `vm-auto-folder-alist' for the records in BBDB.
For each record that has a `vm-folder' attribute, add an element
\(MAIL-REGEXP . FOLDER-NAME) to `vm-auto-folder-alist'.
The element gets added to the sublists of `vm-auto-folder-alist'
specified in `bbdb/vm-auto-folder-headers'.
MAIL-REGEXP matches the mail addresses of the BBDB record.
The value of the `vm-folder' attribute becomes FOLDER-NAME.
The `vm-folder' attribute is defined via `bbdb/vm-auto-folder-field'.

Add this function to `bbdb-before-save-hook' and your .vm.

\(fn)" t nil)

(autoload 'bbdb/vm-virtual-folder "bbdb-vm" "\
Create `vm-virtual-folder-alist' according to the records in BBDB.
For each record that has a `vm-virtual' attribute, add or modify the
corresponding VIRTUAL-FOLDER-NAME element of `vm-virtual-folder-alist'.

  (VIRTUAL-FOLDER-NAME ((FOLDER-NAME ...)
                        (author-or-recipient MAIL-REGEXP)))

VIRTUAL-FOLDER-NAME is the first element of the `vm-virtual' attribute.
FOLDER-NAME ... are either the remaining attributes of vm-virtual,
or `bbdb/vm-virtual-real-folders' or `vm-primary-inbox'.
MAIL-REGEXP matches the mail addresses of the BBDB record.
The `vm-virtual' attribute is defined via `bbdb/vm-virtual-folder-field'.

Add this function to `bbdb-before-save-hook' and your .vm.

\(fn)" t nil)

(autoload 'bbdb-insinuate-vm "bbdb-vm" "\
Call this function to hook BBDB into VM.

\(fn)" nil nil)

;;;***

;;;### (autoloads (bbdb-load-touchtones bbdb-sound-volume bbdb-sounds-directory)
;;;;;;  "bbdb-xemacs" "bbdb-xemacs.el" (19435 6704))
;;; Generated autoloads from bbdb-xemacs.el

(defvar bbdb-sounds-directory (expand-file-name "~/.xemacs/etc/sounds") "\
The directory to load the touchtone sound files from, or nil if none.")

(custom-autoload 'bbdb-sounds-directory "bbdb-xemacs" t)

(defvar bbdb-sound-volume 50 "\
Volume for playing sounds.")

(custom-autoload 'bbdb-sound-volume "bbdb-xemacs" t)

(autoload 'bbdb-load-touchtones "bbdb-xemacs" "\
Load the touchtone sounds into `sound-alist'.
The directory specified in `bbdb-sounds-directory' is searched for the files
touchtone.*\\.\\(wav\\|au\\) as named in `bbdb-sound-files'.
They are stored in `sound-alist' as touchtone0 to touchtone11.

\(fn)" t nil)

;;;***

;;;### (autoloads nil nil ("bbdb-gui.el" "bbdb-w3.el" "bbdb-whois.el"
;;;;;;  "bbdb.el") (19550 7664 819439))

;;;***

